Bug 1122475 - getVdsCaps report 'cfg': {'BOOTPROTO': 'none'} when ifcfg-ovirtmgmt have BOOTPROTO=dhcp
Summary: getVdsCaps report 'cfg': {'BOOTPROTO': 'none'} when ifcfg-ovirtmgmt have BOOT...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: vdsm
Version: 3.5
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ---
: 3.5.0
Assignee: Ondřej Svoboda
QA Contact: Martin Pavlik
URL:
Whiteboard: network
Depends On:
Blocks: 1114987
TreeView+ depends on / blocked
 
Reported: 2014-07-23 11:11 UTC by Meni Yakove
Modified: 2016-02-10 19:36 UTC (History)
11 users (show)

Fixed In Version: v4.16.1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-17 12:40:36 UTC
oVirt Team: Network


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 30646 ovirt-3.5 MERGED netinfo: Never replace BOOTPROTO parameter from ifcfg Never

Description Meni Yakove 2014-07-23 11:11:06 UTC
Description of problem:
getVdsCaps report  'cfg': {'BOOTPROTO': 'none'} when ifcfg-ovirtmgmt have BOOTPROTO=dhcp 

ifcfg-ovirtmgmt:
# Generated by VDSM version 4.16.0-27.git00146ed.el6
DEVICE=ovirtmgmt
ONBOOT=no
TYPE=Bridge
DELAY=0
STP=off
BOOTPROTO=dhcp
MTU=1500
DEFROUTE=yes
NM_CONTROLLED=no
HOTPLUG=no



getVdsCaps:
'ovirtmgmt': {'addr': '10.35.128.17',
                                  'bootproto4': 'none',
                                  'bridged': True,
                                  'cfg': {'BOOTPROTO': 'none',
                                          'DEFROUTE': 'yes',
                                          'DELAY': '0',
                                          'DEVICE': 'ovirtmgmt',
                                          'HOTPLUG': 'no',
                                          'MTU': '1500',
                                          'NM_CONTROLLED': 'no',
                                          'ONBOOT': 'no',
                                          'STP': 'off',
                                          'TYPE': 'Bridge'},
                                  'gateway': '10.35.128.254',
                                  'iface': 'ovirtmgmt',
                                  'ipv4addrs': ['10.35.128.17/24'],
                                  'ipv6addrs': ['fe80::216:36ff:fe84:745e/64'],
                                  'ipv6gateway': '::',
                                  'mtu': '1500',
                                  'netmask': '255.255.255.0',
                                  'ports': ['eth0'],
                                  'stp': 'off'}}


VDSM should not override bootproto if one exist in ifcfg file


Version-Release number of selected component (if applicable):
vdsm-4.16.0-27.git00146ed.el6.x86_64

How reproducible:
100%

Steps to Reproduce:
1.run vdsClient getVdsCaps

Comment 1 Dan Kenigsberg 2014-07-23 11:47:40 UTC
We should not overwrite cfg's BOOTPROTO if it is already there.

Comment 2 Martin Pavlik 2014-07-29 10:26:23 UTC
VERIFIED

cat /etc/sysconfig/network-scripts/ifcfg-ovirtmgmt 
# Generated by VDSM version 4.16.0-42.git3bfad86.fc19
DEVICE=ovirtmgmt
ONBOOT=no
TYPE=Bridge
DELAY=0
STP=off
BOOTPROTO=dhcp
MTU=1500
DEFROUTE=yes
NM_CONTROLLED=no
HOTPLUG=no


'ovirtmgmt': {'addr': '10.34.66.81',
	                         'cfg': {'BOOTPROTO': 'dhcp',
	                                 'DEFROUTE': 'yes',
	                                 'DELAY': '0',
	                                 'DEVICE': 'ovirtmgmt',
	                                 'HOTPLUG': 'no',
	                                 'MTU': '1500',
	                                 'NM_CONTROLLED': 'no',
	                                 'ONBOOT': 'no',
	                                 'STP': 'off',
	                                 'TYPE': 'Bridge'},

Comment 3 Sandro Bonazzola 2014-10-17 12:40:36 UTC
oVirt 3.5 has been released and should include the fix for this issue.


Note You need to log in before you can comment on or make changes to this bug.